Bug 1006464 - Gadget Services Management doesn't work in a custom portal container
Gadget Services Management doesn't work in a custom portal container
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity unspecified
: DR01
: 6.1.1
Assigned To: Peter Palaga
Dominik Pospisil
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 12:19 EDT by William Antônio
Modified: 2014-02-11 00:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An issue with the Service Management portlet caused a Javascript alert with the text "No services available or you do not have enough permission". This issue was not reproducible in this release, therefore the underlying issue has been addressed in another related code fix.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Antônio 2013-09-10 12:19:27 EDT
Description of problem:

Services Management portlet won't work in a custom portal container. It will show the error "No service's available or you don't have enough permission" in a Javascript alert.


How reproducible:
Easy to reproduce using quickstarts

Steps to Reproduce:
1. Deploy the sample-portal container in JPP 6.0
2. Access the new container and log in as root
3. Access the Service Management gadget in URI /g/:platform:administrators/administration/servicesManagement

Actual results:

An alert with message "No service's available or you don't have enough permission" is shown.

Expected results:

List the services.

Additional info:

Notice that the AJAX call is done to the portal URL. See that the services management script [1] only uses the portal URL. If I modify it to the correct container name, it will work.

It is defined in file [2], but it's packaged in eXoGadgets. So, how can we override it?

I tried by making a copy of eXoGadgets to the extension and registering it in clienta-config.jar/conf/configuration.xml, no success...

For ServicesManagement the questions is: how can we override the gadget preferences?

[1] eXoGadgets/src/main/webapp/gadgets/ServicesManagement/script/script.js

ServicesManagement.prototype.init = function() {
        var monitor = eXo.gadget.ServicesManagement;
        var prefs = new _IG_Prefs();
        var servicesURL = prefs.getString("servicesURL");
        if (servicesURL && $.trim(servicesURL) != "") {
                monitor.SERVICES_URL = $.trim(servicesURL);
        } else {
                monitor.SERVICES_URL = monitor.DEFAULT_SERVICES_URL;
        }

        ...
        monitor.makeRequest(monitor.SERVICES_URL, monitor.renderServiceSelector);
};

[2] eXoGadgets.war/gadgets/ServicesManagement/ServicesManagement.xml

<UserPref name="servicesURL" display_name="__MSG_services_url__" default_value="/portal/rest/management"
            required="true"/>
  <Content type="html" view="home">
Comment 2 Peter Palaga 2013-11-26 14:02:33 EST
Cannot reproduce with the upcoming JPP 6.1.1 DR1
Comment 3 Peter Palaga 2013-11-27 05:11:01 EST
The issue is reproducible on JPP 6.1.0 GA.
Comment 4 Filip Kiss 2013-12-17 06:33:47 EST
Reproducible on 6.1.0.GA, cannot reproduce on 6.1.1.DR1 and DR2 - changing to verified.

Note You need to log in before you can comment on or make changes to this bug.